[arch-commits] Commit in swt/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Nov 21 14:58:27 EST 2009


    Date: Saturday, November 21, 2009 @ 14:58:27
  Author: jgc
Revision: 59285

upgpkg: swt 3.5.1-1
    Update to 3.5.1

Modified:
  swt/trunk/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-21 19:37:55 UTC (rev 59284)
+++ PKGBUILD	2009-11-21 19:58:27 UTC (rev 59285)
@@ -1,21 +1,21 @@
 # $Id$
 # Maintainer: simo <simo at archlinux.org>
 pkgname=swt
-pkgver=3.4
-pkgrel=2
+pkgver=3.5.1
+pkgrel=1
 pkgdesc="An open source widget toolkit for Java"
-_date=200806172000
+_date=200909170800
 arch=(i686 x86_64)
 url="http://www.eclipse.org/swt/"
 license=('EPL')
-depends=('java-runtime>=6' 'gtk2>=2.16.2' 'libxtst')
+depends=('java-runtime>=6' 'gtk2>=2.18.3' 'libxtst')
 optdepends=('libgnomeui' 'xulrunner' 'mesa')
 makedepends=('openjdk6' 'libxtst' 'mesa' 'libgnomeui' 'xulrunner>=1.9.1' 'unzip' 'pkgconfig' 'apache-ant')
 if [ "${CARCH}" = "i686" ]; then
   source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/swt-${pkgver}-gtk-linux-x86.zip
           build-swt.xml)
   noextract=(swt-${pkgver}-gtk-linux-x86.zip)
-  md5sums=('b6bf01aa408377f2fe5f617a4dea1876'
+  md5sums=('ceaa95d484d7ab95c663401b5a9bd1f5'
            'f5e548bc26a0f1f3c18131be76face40')
 fi
 if [ "${CARCH}" = "x86_64" ]; then
@@ -27,8 +27,10 @@
 fi
 
 build() {
-  cd ${startdir}/src
-  unzip -jqo ${startdir}/src/swt-${pkgver}-gtk-linux-*.zip "*src.zip"
+  cd "${srcdir}"
+  . /etc/profile.d/openjdk6.sh
+  . /etc/profile.d/apache-ant.sh
+  unzip -jqo ${srcdir}/swt-${pkgver}-gtk-linux-*.zip "*src.zip"
   unzip -qo src.zip
   rm -rf about_files
   mkdir src
@@ -57,7 +59,8 @@
 
   ant jar || return 1
 
-  install -D -m644 swt.jar ${startdir}/pkg/usr/share/java/swt.jar
-  mkdir -p ${startdir}/pkg/usr/lib
-  install -m755 *.so ${startdir}/pkg/usr/lib/
+  install -m755 -d "${pkgdir}/usr/share/java"
+  install -m755 -d "${pkgdir}/usr/lib"
+  install -m644 swt.jar "${pkgdir}/usr/share/java/" || return 1
+  install -m755 *.so "${pkgdir}/usr/lib/" || return 1
 }



More information about the arch-commits mailing list